@mixin tablet {
  @media (min-width: 768px) {
    @content;
  }
}

@mixin laptop {
  @media (min-width: 1024px) {
    @content;
  }
}

@mixin desktop {
  @media (min-width: 1360px) {
    @content;
  }
}

@mixin hover {
  @media (hover: hover) and (pointer: fine) {
    &:hover {
      @content;
    }
  }
}

@mixin touch {
  @media (hover: none) {
    @content;
  }
}
